> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spotflow.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Main Spotflow Account Balance

> Retrieves paginated balances for main accounts with optional currency, mode, and date filters.

## Adding Test Funds

<Info>
  On test mode with your test keys, you can easily add fake funds to the jollof bank account number created for you using our [Funds Simulator App](https://d2i9iv7q8xti2t.cloudfront.net/). Note that this is for NGN and GHS only.

  See the full guide on [Adding Fake Funds For Testing](/expert-desk/simulating-funds).
</Info>


## OpenAPI

````yaml openapi.json GET /balances
openapi: 3.1.0
info:
  title: Spotflow
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - description: Production server
    url: https://api.spotflow.co/api/v1
security:
  - bearerAuth: []
paths:
  /balances:
    get:
      description: >-
        Retrieves paginated balances for main accounts with optional currency,
        mode, and date filters.
      operationId: ListBalances
      parameters:
        - name: page
          in: query
          required: false
          description: Page number for pagination (default is 0).
          schema:
            type: integer
            format: int32
            default: 0
        - name: size
          in: query
          required: false
          description: Number of items per page for pagination (default is 10).
          schema:
            type: integer
            format: int32
            default: 10
        - name: currency
          in: query
          required: false
          description: >-
            Choose the currency you want for your sub account. According, to our
            currently supported currencies, this is in NGN or GHS.
          schema:
            type: string
            enum:
              - NGN
              - GHS
        - name: mode
          in: query
          required: false
          description: This can either be test or live mode.
          schema:
            type: string
            enum:
              - test
              - live
        - name: from
          in: query
          required: false
          description: ''
          schema:
            type: string
            format: date-time
        - name: to
          in: query
          required: false
          description: ''
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: A JSON array of balances objects.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AccountBalanceListResponse'
        '400':
          description: Not Found - No subscriptions found for the given plan ID.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error400'
        '401':
          description: Unauthorized - Invalid or missing authentication token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
components:
  schemas:
    AccountBalanceListResponse:
      type: object
      properties:
        accountNumber:
          type: string
          example: '7706438396'
        currency:
          type: string
          example: GHS
        balance:
          type: number
          format: float
          example: 3
        availableBalance:
          type: number
          format: float
          example: 3
        accountTag:
          type: string
          example: main-account
        parentAccountNumber:
          type: string
          example: string
      required:
        - accountNumber
        - currency
        - balance
        - availableBalance
    Error400:
      type: object
      properties:
        error:
          type: string
          example: Missing Parameter
        message:
          type: string
          example: missing_parameter
        status:
          type: integer
          format: float
          example: 400
    Error401:
      type: object
      properties:
        error:
          type: string
          example: Unauthorized
        message:
          type: string
          example: invalid_credentials
        status:
          type: integer
          format: float
          example: 401
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````